ServiceEventImpl
Date: 2017-02-10

javax.jmdns.impl

## Class ServiceEventImpl

- java.lang.Object
- - java.util.EventObject
  - - javax.jmdns.ServiceEvent
    - - javax.jmdns.impl.ServiceEventImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class ServiceEventImpl
      extends ServiceEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceEventImpl(JmDNSImpl jmDNS, java.lang.String type, java.lang.String name, ServiceInfo info)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceEventImpl` | `clone()`
    `JmDNS` | `getDNS()` Returns the JmDNS instance which originated the event.
    `ServiceInfo` | `getInfo()` Returns the service info record, or null if the service could not be resolved.
    `java.lang.String` | `getName()` Returns the instance name of the service.
    `java.lang.String` | `getType()` Returns the fully qualified type of the service.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceEventImpl

          public ServiceEventImpl(JmDNSImpl jmDNS,
                          java.lang.String type,
                          java.lang.String name,
                          ServiceInfo info)

      Creates a new instance.
      Parameters:
        `jmDNS` - the JmDNS instance which originated the event.
        `type` - the type name of the service.
        `name` - the instance name of the service.
        `info` - the service info record, or null if the service could be be resolved.

  - ### Method Detail

    - #### getDNS

          public JmDNS getDNS()

      Description copied from class: `ServiceEvent`
      Returns the JmDNS instance which originated the event.
      Specified by:
        `getDNS` in class `ServiceEvent`
      Returns:
        JmDNS instance

    - #### getType

          public java.lang.String getType()

      Description copied from class: `ServiceEvent`
      Returns the fully qualified type of the service.
      Specified by:
        `getType` in class `ServiceEvent`
      Returns:
        type of the service.

    - #### getName

          public java.lang.String getName()

      Description copied from class: `ServiceEvent`
      Returns the instance name of the service. Always returns null, if the event is sent to a service type listener.
      Specified by:
        `getName` in class `ServiceEvent`
      Returns:
        name of the service

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

    - #### getInfo

          public ServiceInfo getInfo()

      Description copied from class: `ServiceEvent`
      Returns the service info record, or null if the service could not be resolved. Always returns null, if the event is sent to a service type listener.
      Specified by:
        `getInfo` in class `ServiceEvent`
      Returns:
        service info record
      See Also:
        `ServiceEvent.getInfo()`

    - #### clone

          public ServiceEventImpl clone()

      Overrides:
        `clone` in class `ServiceEvent`